%global pypi_name typeguard

Name:           python-%{pypi_name}
Version:        2.10.0
Release:        %mkrel 1
Summary:        Run-time type checker for Python
License:        MIT
Group:          Development/Python
URL:            https://github.com/agronholm/%{pypi_name}
Source0:        https://pypi.io/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
This library provides run-time type checking for functions defined with
PEP 484 argument (and return) type annotations.

%package -n python3-%{pypi_name}
Summary:        Run-time type checker for Python 3
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm

%description -n python3-%{pypi_name}
This library provides run-time type checking for functions defined with
PEP 484 argument (and return) type annotations.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/*


%changelog
* Thu Oct 22 2020 daviddavid <daviddavid> 2.10.0-1.mga8
+ Revision: 1638540
- new version: 2.10.0

* Mon Sep 07 2020 daviddavid <daviddavid> 2.9.1-1.mga8
+ Revision: 1623301
- new version: 2.9.1

* Sun May 24 2020 daviddavid <daviddavid> 2.7.1-1.mga8
+ Revision: 1587340
- initial package python-typeguard

